# Uses of Interface
org.apache.lucene.util.bkd.PointReader

Packages that use PointReader
Package
Description
org.apache.lucene.util.bkd
Block KD-tree, implementing the generic spatial data structure described in this paper.

## Uses of PointReader in org.apache.lucene.util.bkd

Classes in org.apache.lucene.util.bkd that implement PointReader
Modifier and Type
Class
Description
`final class`
`HeapPointReader`
Utility class to read buffered points from in-heap arrays.
`final class`
`OfflinePointReader`
Reads points from disk in a fixed-with format, previously written with `OfflinePointWriter`.
Methods in org.apache.lucene.util.bkd that return PointReader
Modifier and Type
Method
Description
`PointReader`
HeapPointWriter.`getReader(long start, long length)`
`PointReader`
OfflinePointWriter.`getReader(long start, long length)`
`PointReader`
PointWriter.`getReader(long startPoint, long length)`
Returns a `PointReader` iterator to step through all previously added points